summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author mario2012-07-29 06:13:10 +0200
committer Robby Workman2012-07-29 06:13:10 +0200
commit39e8ff23891d5777bd65476a8e9c0aeb8d2438c9 (patch)
treedeecffbc500413f183d9d7afc026f996317495e2 /desktop
parente7756c8dd15443a3dff44c787e075f2cc42a045f (diff)
downloadslackbuilds-39e8ff23891d5777bd65476a8e9c0aeb8d2438c9.tar.gz
desktop/clearlooks-phenix-theme: Added (GTK3 port of Clearlooks)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/clearlooks-phenix-theme/README6
-rw-r--r--desktop/clearlooks-phenix-theme/clearlooks-phenix-theme.SlackBuild64
-rw-r--r--desktop/clearlooks-phenix-theme/clearlooks-phenix-theme.info10
-rw-r--r--desktop/clearlooks-phenix-theme/slack-desc19
4 files changed, 99 insertions, 0 deletions
diff --git a/desktop/clearlooks-phenix-theme/README b/desktop/clearlooks-phenix-theme/README
new file mode 100644
index 0000000000..518decbb1c
--- /dev/null
+++ b/desktop/clearlooks-phenix-theme/README
@@ -0,0 +1,6 @@
+The Clearlooks-Phenix project (formerly known as Clearwaita) aims at
+creating a GTK3 port of Clearlooks, the default theme for Gnome 2.
+Style is also included for GTK2, Unity and for Metacity, Openbox,
+and Xfwm4 window managers.
+
+To use the theme, you need gtk-engines.
diff --git a/desktop/clearlooks-phenix-theme/clearlooks-phenix-theme.SlackBuild b/desktop/clearlooks-phenix-theme/clearlooks-phenix-theme.SlackBuild
new file mode 100644
index 0000000000..65f0998918
--- /dev/null
+++ b/desktop/clearlooks-phenix-theme/clearlooks-phenix-theme.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for Clearlooks Phenix Theme
+
+# Copyright 2012, mario <mario@slackverse.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=clearlooks-phenix-theme
+VERSION=${VERSION:-2.0.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+SRCNAM=clearlooks-phenix-master
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+unzip $CWD/$SRCNAM.zip
+cd $SRCNAM
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/themes/Clearlooks-Phenix
+cp -a gtk-2.0 gtk-3.0 index.theme metacity-1 openbox-3 wallpapers xfwm4 \
+ $PKG/usr/share/themes/Clearlooks-Phenix
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/clearlooks-phenix-theme/clearlooks-phenix-theme.info b/desktop/clearlooks-phenix-theme/clearlooks-phenix-theme.info
new file mode 100644
index 0000000000..ce9332ea3e
--- /dev/null
+++ b/desktop/clearlooks-phenix-theme/clearlooks-phenix-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="clearlooks-phenix-theme"
+VERSION="2.0.10"
+HOMEPAGE="http://www.jpfleury.net/en/software/clearlooks-phenix.php"
+DOWNLOAD="http://mirror.slackverse.org/sources/clearlooks-phenix-master.zip"
+MD5SUM="af138c0f7972666423c93637b3a1df05"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="mario"
+EMAIL="mario@slackverse.org"
+APPROVED="rworkman"
diff --git a/desktop/clearlooks-phenix-theme/slack-desc b/desktop/clearlooks-phenix-theme/slack-desc
new file mode 100644
index 0000000000..965bbe1795
--- /dev/null
+++ b/desktop/clearlooks-phenix-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+clearlooks-phenix-theme: clearlooks-phenix-theme (The Clearlooks Phenix theme)
+clearlooks-phenix-theme:
+clearlooks-phenix-theme: The Clearlooks-Phenix project (formerly known as Clearwaita) aims at
+clearlooks-phenix-theme: creating a GTK3 port of Clearlooks, the default theme for Gnome 2.
+clearlooks-phenix-theme: Style is also included for GTK2, Unity and for Metacity, Openbox and
+clearlooks-phenix-theme: Xfwm4 window managers.
+clearlooks-phenix-theme:
+clearlooks-phenix-theme: Homepage: http://www.jpfleury.net/en/software/clearlooks-phenix.php
+clearlooks-phenix-theme:
+clearlooks-phenix-theme:
+clearlooks-phenix-theme: